
Katello - Bug #6510

400 Bad request: while installing a package via bulk actions and without selecting system name

07/07/2014 09:42 AM - Brad Buckingham

Status: Closed   

Priority: Normal   

Assignee: Brad Buckingham   

Category: Web UI   

Target version: Katello 2.0   

Difficulty:  Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link: 1109138 Red Hat JIRA:  

Pull request:    

Description

Cloned from https://bugzilla.redhat.com/show_bug.cgi?id=1109138

Description of problem:

I was trying to install package on bulk systems and forgot to select the systems. when I clicked on "install" button, UI raised a

notification:

"No systems have been specified."

But got a long exception with 400 Bad request in production.log:

Processing by Katello::Api::V2::SystemsBulkActionsController#install_content as JSON

Parameters: {"included"=>{"ids"=>[], "resources"=>[], "search"=>nil}, "excluded"=>{"ids"=>[]}, "content_type"=>"package",

"content"=>["zsh"], "organization_id"=>"1", "api_version"=>"v2", "systems_bulk_action"=>{"included"=>{"ids"=>[], "resources"=>[],

"search"=>nil}, "excluded"=>{"ids"=>[]}, "content_type"=>"package", "content"=>["zsh"], "organization_id"=>"1"}}

Katello::HttpErrors::BadRequest: No systems have been specified.

/opt/rh/ruby193/root/usr/share/gems/gems/katello-1.5.0/app/controllers/katello/api/v2/systems_bulk_actions_controller.rb:204:in

`find_systems'

/opt/rh/ruby193/root/usr/share/gems/gems/katello-1.5.0/app/controllers/katello/api/v2/systems_bulk_actions_controller.rb:179:in

`find_editable_systems'

/opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:553:in `block (3 levels) in run

_1808844839954401441__process_action__3644850479203537843__callbacks'

/opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:215:in `block in

_conditional_callback_around_9991'

/opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:326:in `around'

/opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:310:in `_callback_around_2816'

Also, firebug raises NetworkError 400 Bad request

Version-Release number of selected component (if applicable):

sat6 beta snap9 compose2

How reproducible:

always

Steps to Reproduce:

1. install package via Bulk Actions but without selecting any content-host

2.

3.

Actual results:

firebug raises NetworkError 400 Bad request

production.log also throws exception with 400 Bad request

Expected results:

user should just get this error:

"No systems have been specified."
firebug should not raise any error and no exception should be there in production.log

Additional info:

Associated revisions

Revision ad4991f6 - 07/07/2014 09:43 AM - Brad Buckingham

fixes #6510 / BZ 1109138 - disable pkg action buttons when no content hosts selected

Disable the install/update/remove buttons when the user hasn't selected

any content hosts.

Revision 1a23ed99 - 07/07/2014 09:43 AM - Brad Buckingham

fixes #6510 / BZ 1109138 - disable pkg action buttons when no content hosts selected

Disable the install/update/remove buttons when the user hasn't selected

any content hosts.

Revision 5bbadc38 - 07/07/2014 10:23 AM - Brad Buckingham

Merge pull request #4391 from bbuckingham/issue-6510

fixes #6510 / BZ 1109138 - disable pkg action buttons when no content hosts selected

Revision 7f9d683f - 07/07/2014 10:23 AM - Brad Buckingham

Merge pull request #4391 from bbuckingham/issue-6510

fixes #6510 / BZ 1109138 - disable pkg action buttons when no content hosts selected

History

#1 - 07/07/2014 09:42 AM - Brad Buckingham

- Assignee set to Brad Buckingham

- Target version set to 49

- Triaged changed from No to Yes

#2 - 07/07/2014 11:04 AM - Brad Buckingham

- Status changed from New to Closed

- % Done changed from 0 to 100

Applied in changeset katello|ad4991f696e6331ce0a69676636b65ed8327a149.

#3 - 08/22/2014 09:00 AM - Eric Helms

- translation missing: en.field_release set to 13

Powered by TCPDF (www.tcpdf.org)

05/20/2024 2/2

https://projects.theforeman.org/projects/katello/repository/katello/revisions/ad4991f696e6331ce0a69676636b65ed8327a149
http://www.tcpdf.org

